> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-6/v6-8-7.md).

# Version 6.8.7 Changelog (September 10, 2018)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 6.8.7.67306

Release Date: September 10, 2018

## New features

* [`SoundCreate`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/tools/SoundCreate.html) tool for creating sound annotations

`<uses-permission android:name="android.permission.RECORD_AUDIO" />` permission required

* New [`FileAttachmentCreate`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/tools/FileAttachmentCreate.html) tool for creating file attachment annotations
* If an image file is present in the system clipboard, it can be pasted as a stamp annotation on to current page either through the Ctrl+V keyboard shortcut or the paste option in the long press quick menu
* Kotlin version of the two sample projects have been added
* New API [ToolManager.disableAnnotEditing](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/tools/ToolManager.html#disableAnnotEditing\(java.lang.Integer\)) to disable annotation editing by annotation type

## Changes

* PDFViewCtrlTools project now uses `commons-io` gradle plugin instead of the `commons-io.jar` file

## Fixed

* Fixed: date time field with special `AFTime_Keystroke` function is now supported
* Fixed: signature tool in `AnnotationToolbar` cannot be selected when in two row mode
* Fixed: sticky note annotation sometimes cannot be deleted
* Fixed: when changing pen color from style sheet, the ink toolbar icon color does not change
* Fixed: page number indicator still shows up when turning page when it is turned off in options
* Fixed: upper case extension files do not show up in folders and all documents list

## APIs

### Added

* [`ToolManagerBuilder.disableAnnotEditing`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/config/ToolManagerBuilder.html#disableAnnotEditing\(int\))
* [`ToolManager.disableAnnotEditing`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/tools/ToolManager.html#disableAnnotEditing\(java.lang.Integer\))
* [`ToolManager.enableAnnotEditing`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/tools/ToolManager.html#enableAnnotEditing\(java.lang.Integer\))
* [`ToolManager.isAnnotEditingDisabled`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/tools/ToolManager.html#isAnnotEditingDisabled\(int\))


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/android/changelogs/version-6/v6-8-7.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
